---
updatedAt: 2026-09-29T10:36:11.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Add transaction tags

# Overview

Use this method to add [custom tags](https://cockpit.sumsub.com/checkus#/kyt/settings/tags) to a particular transaction.

Tags can be used to categorize and identify transactions. They are especially beneficial for more granular [applicant risk scoring](https://dodoc:applicant-risk-scoring).

<Callout icon="📘" theme="info">
  ### Notes

  - You can only add tags that are created and stored in the [Dashboard settings](https://cockpit.sumsub.com/checkus#/kyt/settings/tags).
  - Tag names are case sensitive. For example, `Suspicious` and `suspicious` are considered different.
</Callout>

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **Manage TM transactions - Review** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

## Request example

```curl
curl -X POST \
     'https://api.sumsub.com/resources/kyt/txns/66c46d7566f5244e45a00000/tags' \
     -H 'content-type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '["Structuring", "Anomaly med", "Bonus abuse", "Suspicious pattern"]'
```

# Response explained

The response is a JSON file with an array of objects representing new tags. Each object stands for a single tag.

The following table explains the element fields within the response.

| Field   | Type   | Description                                                                                                                                                                           |
| :------ | :----- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `label` | String | Tag name.                                                                                                                                                                             |
| `type`  | String | Indicates the tag origin: <ul><li><code>userDefined</code> — tag is created and assigned manually.</li><li><code>system</code> — tag is created and assigned by the system.</li></ul> |

## Response examples

The following is an example of the response where tags are successfully added to the transaction.

```json
[
  {
    "label": "Structuring",
    "type": "userDefined"
  },
  {
    "label": "Anomaly med",
    "type": "userDefined"
  },
  {
    "label": "Bonus abuse",
    "type": "userDefined"
  },
  {
    "label": "Suspicious pattern",
    "type": "userDefined"
  }
]
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error.

For example:

```json
{
  "description": "Tags [bonus abuse, suspicious pattern] are not set in the settings",
  "code": 400,
  "correlationId": "ca5566bc06a7b541ed77bdf00b3232c4"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/kyt/txns/{id}/tags": {
      "post": {
        "summary": "Add transaction tags",
        "description": "",
        "operationId": "add-txn-tags",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Unique transaction identifier in the Sumsub system. <br><br>This ID is returned in the [response](https://docs.sumsub.com/reference/get-transaction#root-variables) to this request and a webhook (`kytTxnId`). Save it for future use in subsequent API calls. Alternatively, you can get this identifier by the [following method](https://docs.sumsub.com/sumsub/reference/get-transaction-information-by-txnid).",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "array",
                    "description": "Tags to add (one tag per string). Mind that tag names are case sensitive.",
                    "items": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```